curl --request PUT \
--url https://api.quiva.ai/storage/obj/{bucket} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated bucket description"
}
'
{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}Object Store
Create or update object store
Creates a new object store bucket if one does not exist or updates it otherwise
PUT
/
storage
/
obj
/
{bucket}
curl --request PUT \
--url https://api.quiva.ai/storage/obj/{bucket} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated bucket description"
}
'
{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the bucket
Body
application/json
Response
Bad Request
Example:
"success"